Results 1 to 2 of 2

Hybrid View

  1. #1
    Join Date
    Nov 2006
    Posts
    39
    Plugin Contributions
    0

    help question Patching Database

    Hi,

    I have just updated my site from 1.3.5 to 1.3.7 by simply overwriting the files on my server with the new ones and then re-replacing my modified files. This seems to have worked fine.

    However this is the first time I have upgraded my installation and I don't know how to patch the database for the new version, can someone please explain how?

    Many thanks!

    Crin

  2. #2
    Join Date
    Apr 2006
    Location
    London, UK
    Posts
    10,655
    Plugin Contributions
    25

    Default Re: Patching Database

    Quote Originally Posted by Crin View Post
    Hi,

    I have just updated my site from 1.3.5 to 1.3.7 by simply overwriting the files on my server with the new ones and then re-replacing my modified files. This seems to have worked fine.

    However this is the first time I have upgraded my installation and I don't know how to patch the database for the new version, can someone please explain how?

    Many thanks!

    Crin
    First off, backup your database.

    Provided you haven't deleted or renamed the zc_install directory, launch a browser window and navigate to www.yourstorename.com/zc_install (replacing yourstorename.com with the URL for your store).

    This will start the installation script. On no account agree to install. Instead as you go through look for the database upgrade option (you can ignore the warning about your configure files not being writeable - you don't want them written to anyway).

    The install routine should automatically tick the boxes to recognize which versions need to be upgraded through and when you click on the database upgrade button do the upgrade for you.
    See and test drive Zen Cart's free templates at zencarttemplates.info

    Kuroi Web Design and Development | Twitter

    (Questions answered in the forum only - so that any forum member can benefit - not by personal message)

 

 

Similar Threads

  1. Database Patching
    By davidmoody@rogers.com in forum Upgrading from 1.2 to 1.3.x
    Replies: 11
    Last Post: 15 Nov 2006, 05:23 AM
  2. osC convert - "Your database appears to need patching to a higher level"
    By jeff_fwd in forum Upgrading from 1.3.x to 1.3.9
    Replies: 4
    Last Post: 3 Nov 2006, 03:25 PM
  3. Database Patching is stuck
    By livesol in forum Upgrading from 1.2 to 1.3.x
    Replies: 7
    Last Post: 27 Sep 2006, 02:10 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •